{number}: Convert number between bases

API: networkcalc.com:networkcalc-api
Endpoint: /binary/{number}
Response format: unknown
Auth: unknown
Method: GET
Last Status: 400
Latency: 431ms

Description

Convert numbers between binary (base 2), octal (base 8), decimal (base 10), and hexadecimal (base 16).

Parameters (3)

from (string, query, optional, default: 10)

The radix (base) to convert from

Constraints: {'enum': ['2', '8', '10', '16']}

number (string, path, required)

The number to convert. May be specified as binary, octal, decimal, or hexadecimal.

to (string, query, optional, default: 10)

The radix (base) to convert to

Constraints: {'enum': ['2', '8', '10', '16']}

Examples (1)

Convert number between bases openapi-spec
curl 'https://networkcalc.com/api/binary/255'
import requests

resp = requests.get("https://networkcalc.com/api/binary/255")
data = resp.json()
import zingu_apis

api = zingu_apis.api("networkcalc")
result = api.fetch("binary/{number}")

for item in result:
    print(item)
const resp = await fetch("https://networkcalc.com/api/binary/255");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 02:04:32.335994 400 431ms
2026-04-15 02:35:37.139523 400 440ms
2026-04-14 00:11:50.216781 400 437ms
2026-04-12 15:35:38.384456 400 440ms
2026-04-10 00:08:45.271994 ERR
2026-04-09 00:53:47.278658 ERR